﻿@model IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.CarModel>
<script>
    @{
        string jsxe = "";
        foreach (var lx in Model)
        {
            jsxe += "var chitiet_" + lx.ModID + " = $('#chitiet_" + lx.ModID + "');";
            jsxe += "if (chitiet_" + lx.ModID + ".length) {";
            jsxe += "chitiet_" + lx.ModID + " = new Swiper(chitiet_" + lx.ModID + ", {";
            //sc_45 += "autoplay: 2000,";
            jsxe += "pagination: '#chitiet_" + lx.ModID + " .row.car-thumbnails',";
            jsxe += "paginationClickable: true,";
            jsxe += "paginationBulletRender: function (index, className) {";
            jsxe += "return '";
            jsxe += "<div class=\"slide_page col-xs-2 col-sm-2 col-md-3  '+ className +'\"><a href=\"#\"></a></div>';";
            jsxe += "}});}";
        }


        jsxe += "function refesh_slide() {";
        jsxe += " if ($().swiper) {";
        foreach (var lx in Model)
        {
            jsxe += "if (typeof (chitiet_" + lx.ModID + ".length) == 'undefined') {";
            jsxe += "chitiet_" + lx.ModID + ".update();";
            jsxe += "chitiet_" + lx.ModID + ".onResize();";
            jsxe += "}";

        }
        jsxe += "}}";

        jsxe += " $('a[data-toggle=\"tab\"]').on('show.bs.tab', function (e) {";
        jsxe += "refesh_slide();";
        jsxe += " });";
        jsxe += "$('a[data-toggle=\"tab\"]').on('shown.bs.tab', function (e) {";
        jsxe += "    refesh_slide();";
        jsxe += "});";

        
        @Html.Raw(HttpUtility.HtmlDecode(jsxe))
         }
</script>
